Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.modeshape.graph
Enum NodeConflictBehavior

    java.lang.Object
      java.lang.Enum<NodeConflictBehavior>
          org.modeshape.graph.NodeConflictBehavior

All Implemented Interfaces:
  Serializable, Comparable<NodeConflictBehavior>

    public enum NodeConflictBehavior

extends Enum<NodeConflictBehavior>

An enumeration used by several commands for the choice of handling duplicate nodes, such as when a node is to be copied to another location where a node already exists.

Enum Constant Summary
`APPEND`
`DO_NOT_REPLACE`
`REPLACE`
`UPDATE`

Method Summary
`static NodeConflictBehavior` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NodeConflictBehavior[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DO_NOT_REPLACE

    public static final NodeConflictBehavior DO_NOT_REPLACE

### APPEND

    public static final NodeConflictBehavior APPEND

### REPLACE

    public static final NodeConflictBehavior REPLACE

### UPDATE

    public static final NodeConflictBehavior UPDATE

Method Detail

### values

    public static NodeConflictBehavior[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (NodeConflictBehavior c : NodeConflictBehavior.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static NodeConflictBehavior valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.